Bug 1016097 - Configuring a Remote Service Invoker
Configuring a Remote Service Invoker
Status: ASSIGNED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: FUTURE
Assigned To: kconner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 09:35 EDT by Angelo Immediata
Modified: 2014-01-31 00:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.7 Build Name: 10767, ESB Programmers Guide-5-5.3.1 Build Date: 07-02-2013 12:50:08
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Angelo Immediata 2013-10-07 09:35:32 EDT
Description of problem:
Hi there
I'm in this scenario: a web application running on an EAP 6.0.1 on server A and my SOAP 5.3 running on server B
From my web application on server A I need to remotely call the ServiceInvoker
By following the jboss programmer guide (JBoss_Enterprise_SOA_Platform-5-ESB_Programmers_Guide-en-US.pdf) I added in my web application classpath (that is WEB-INF/lib) the following jars:
jboss-mdr.jar
concurrent.jar
scout-1.2.6.jar
juddi-client-3.1.3.jar
jbossesb-config-model.jar
hornetq-core-client.jar
commons-collections.jar
jbossesb-registry.jar
jbossjmx-ant.jar
jboss-common-core.jar
jbossesb-rosetta.jar
jboss-messaging-client.jar
trove.jar
jboss-javaee.jar
uddi-ws-3.1.3.jar
jbossts-common.jar
commons-lang-2.4.jar
hornetq-jms.jar
javassist.jar
commons-logging.jar
jboss-aop-client.jar
netty.jar
jboss-logging-spi.jar
commons-configuration-1.5.jar
jboss-remoting.jar
commons-codec-1.3.jar
serializer.jar
jbossall-client.jar

Please note that I had to add also the following jars jboss-mdr.jar, jboss-messaging-client.jar and jboss-remoting.jar (though not indicated in the documentation) otherwise my web application couldn't be deployed

Always under my classpath (in WEB-INF/classes) I added the jbossesb-properties.xml file; this is its content:
<?xml version="1.0" encoding="ISO-8859-1"?>  
<esb xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="jbossesb-1_0.xsd">  
    <properties name="core">  
        <property name="org.jboss.soa.esb.jndi.server.context.factory" value="org.jnp.interfaces.NamingContextFactory"/>  
        <property name="org.jboss.soa.esb.jndi.server.url" value="10.24.5.8:1099"/>  
        <property name="org.jboss.soa.esb.persistence.connection.factory" value="org.jboss.internal.soa.esb.persistence.format.MessageStoreFactoryImpl"/>  
        <property name="org.jboss.soa.esb.loadbalancer.policy" value="org.jboss.soa.esb.listeners.ha.RoundRobin"/>  
        <property name="org.jboss.soa.esb.mime.text.types" value="text/*;application/xml;application/*+xml"/>  
        <property name="jboss.esb.invm.scope.default" value="NONE"/>  
        <property name="org.jboss.soa.esb.deployment.schema.validation" value="true"/>  
    </properties>  
    <properties name="security">  
        <property name="org.jboss.soa.esb.services.security.implementationClass" value="org.jboss.internal.soa.esb.services.security.JaasSecurityService"/>  
        <property name="org.jboss.soa.esb.services.security.callbackHandler" value="org.jboss.internal.soa.esb.services.security.UserPassCallbackHandler"/>  
        <property name="org.jboss.soa.esb.services.security.sealAlgorithm" value="TripleDES"/>  
        <property name="org.jboss.soa.esb.services.security.sealKeySize" value="168"/>  
        <property name="org.jboss.soa.esb.services.security.contextTimeout" value="30000"/>  
        <property name="org.jboss.soa.esb.services.security.contextPropagatorImplementationClass" value="org.jboss.internal.soa.esb.services.security.JBossASContextPropagator"/>  
        <property name="org.jboss.soa.esb.services.security.publicKeystore" value="/publicKeyStore"/>  
        <property name="org.jboss.soa.esb.services.security.publicKeystorePassword" value="testKeystorePassword"/>  
        <property name="org.jboss.soa.esb.services.security.publicKeyAlias" value="testAlias"/>  
        <property name="org.jboss.soa.esb.services.security.publicKeyPassword" value="testPassword"/>  
        <property name="org.jboss.soa.esb.services.security.publicKeyTransformation" value="RSA/ECB/PKCS1Padding"/>  
    </properties>  
    <properties name="registry">  
        <property name="org.jboss.soa.esb.registry.queryManagerURI" value="org.apache.juddi.v3.client.transport.wrapper.UDDIInquiryService#inquire"/>  
        <property name="org.jboss.soa.esb.registry.lifeCycleManagerURI" value="org.apache.juddi.v3.client.transport.wrapper.UDDIPublicationService#publish"/>  
        <property name="org.jboss.soa.esb.registry.securityManagerURI" value="org.apache.juddi.v3.client.transport.wrapper.UDDISecurityService#secure"/>  
        <property name="org.jboss.soa.esb.registry.implementationClass" value="org.jboss.internal.soa.esb.services.registry.JAXRRegistryImpl"/>  
        <property name="org.jboss.soa.esb.registry.factoryClass" value="org.apache.ws.scout.registry.ConnectionFactoryImpl"/>  
        <property name="org.jboss.soa.esb.registry.user" value="root"/>  
        <property name="org.jboss.soa.esb.registry.password" value="root"/>  
        <property name="org.jboss.soa.esb.scout.proxy.transportClass" value="org.apache.ws.scout.transport.LocalTransport"/>  
        <property name="org.jboss.soa.esb.scout.proxy.uddiVersion" value="3.0"/>  
        <property name="org.jboss.soa.esb.scout.proxy.uddiNameSpace" value="urn:uddi-org:api_v3"/>  
        <property name="org.jboss.soa.esb.registry.interceptors" value="org.jboss.internal.soa.esb.services.registry.InVMRegistryInterceptor, org.jboss.internal.soa.esb.services.registry.CachingRegistryInterceptor"/>  
        <property name="org.jboss.soa.esb.registry.cache.maxSize" value="100"/>  
        <property name="org.jboss.soa.esb.registry.orgCategory" value="org.jboss.soa.esb.:category"/>  
    </properties>  
    <properties name="transports" depends="core">  
        <property name="org.jboss.soa.esb.mail.smtp.host" value="localhost"/>  
        <property name="org.jboss.soa.esb.mail.smtp.user" value="jbossesb"/>  
        <property name="org.jboss.soa.esb.mail.smtp.password" value=""/>  
        <property name="org.jboss.soa.esb.mail.smtp.port" value="25"/>  
        <property name="org.jboss.soa.esb.mail.smtp.auth" value="true"/>  
        <property name="org.jboss.soa.esb.ftp.localdir" value="/tmp"/>  
        <property name="org.jboss.soa.esb.ftp.remotedir" value="/tmp"/>  
        <property name="org.jboss.soa.esb.ftp.renameretry" value="10"/>  
        <property name="org.jboss.soa.esb.ftp.timeout" value="0"/>  
        <property name="org.jboss.soa.esb.jms.connectionPool" value="300"/>  
        <property name="org.jboss.soa.esb.jms.sessionSleep" value="30"/>  
        <property name="org.jboss.soa.esb.invm.expiryTime" value="300000"/>  
        <property name="org.jboss.soa.esb.failure.detect.removeDeadEPR" value="true"/>  
        <property name="org.jboss.soa.esb.exceptionOnDeliverFailure" value="true"/>  
        <property name="org.jboss.soa.esb.aggregator.setOnProperties" value="false"/>  
    </properties>  
    <properties name="connection">  
        <property name="min-pool-size" value="5"/>  
        <property name="max-pool-size" value="10"/>  
        <property name="blocking-timeout-millis" value="5000"/>  
        <property name="abandoned-connection-timeout" value="10000"/>  
        <property name="abandoned-connection-time-interval" value="30000"/>  
    </properties>  
    <properties name="jca">  
        <property name="org.jboss.soa.esb.jca.activation.mapper.jms-ra.rar" value="org.jboss.soa.esb.listeners.jca.JBossActivationMapper"/>  
        <property name="org.jboss.soa.esb.jca.activation.mapper.wmq.jmsra.rar" value="org.jboss.soa.esb.listeners.jca.WMQActivationMapper"/>  
    </properties>  
    <properties name="dbstore">  
        <property name="org.jboss.soa.esb.persistence.db.conn.manager" value="org.jboss.internal.soa.esb.persistence.manager.J2eeConnectionManager"/>  
        <property name="org.jboss.soa.esb.persistence.db.datasource.name" value="java:/JBossESBDS"/>  
        <property name="org.jboss.soa.esb.persistence.db.connection.url" value="jdbc:hsqldb:hsql://localhost:9001/"/>  
        <property name="org.jboss.soa.esb.persistence.db.jdbc.driver" value="org.hsqldb.jdbcDriver"/>  
        <property name="org.jboss.soa.esb.persistence.db.user" value="sa"/>  
        <property name="org.jboss.soa.esb.persistence.db.pwd" value=""/>  
        <property name="org.jboss.soa.esb.persistence.db.pool.initial.size" value="2"/>  
        <property name="org.jboss.soa.esb.persistence.db.pool.min.size" value="2"/>  
        <property name="org.jboss.soa.esb.persistence.db.pool.max.size" value="5"/>  
        <property name="org.jboss.soa.esb.persistence.db.pool.test.table" value="pooltest"/>  
        <property name="org.jboss.soa.esb.persistence.db.pool.timeout.millis" value="5000"/>  
    </properties>  
    <properties name="filters">  
        <property name="org.jboss.soa.esb.filter.1" value="org.jboss.internal.soa.esb.message.filter.MetaDataFilter"/>  
        <property name="org.jboss.soa.esb.filter.2" value="org.jboss.internal.soa.esb.message.filter.GatewayFilter"/>  
    </properties>  
    <properties name="rules">  
        <property name="org.jboss.soa.esb.services.rules.continueState" value="false"/>  
        <property name="org.jboss.soa.esb.services.rules.resource.scanner.interval" value="60"/>  
    </properties>  
</esb>  
 
And in META-INF directory of my web application I added the uddi.xml file; this is its content:
<?xml version="1.0" encoding="ISO-8859-1" ?>  
<uddi>  
    <reloadDelay>5000</reloadDelay>  
    <manager name="test-manager">  
        <nodes>  
            <node>  
                <name>default</name>  
                <description>Main jUDDI node</description>  
                <properties>  
                    <property name="serverName" value="soa-p1"/>  
                    <property name="serverPort" value="8880"/>  
                </properties>  
                <proxyTransport>org.jboss.internal.soa.esb.registry.client.JuddiRMITransport</proxyTransport>  
                <custodyTransferUrl>/juddiv3/UDDICustodyTransferService</custodyTransferUrl>  
                <inquiryUrl>/juddiv3/UDDIInquiryService</inquiryUrl>  
                <publishUrl>/juddiv3/UDDIPublicationService</publishUrl>  
                <securityUrl>/juddiv3/UDDISecurityService</securityUrl>  
                <subscriptionUrl>/juddiv3/UDDISubscriptionService</subscriptionUrl>  
                <subscriptionListenerUrl>/juddiv3/UDDISubscriptionListenerService</subscriptionListenerUrl>  
                <juddiApiUrl>/juddiv3/JUDDIApiService</juddiApiUrl>  
                <javaNamingFactoryInitial>org.jnp.interfaces.NamingContextFactory</javaNamingFactoryInitial>  
                <javaNamingFactoryUrlPkgs>org.jboss.naming</javaNamingFactoryUrlPkgs>  
                <javaNamingProviderUrl>jnp://soa-p1:1099</javaNamingProviderUrl>  
            </node>  
            <node>  
                <name>node2</name>  
                <description>Main jUDDI node</description>  
                <properties>  
                    <property name="serverName" value="soa-p2"/>  
                    <property name="serverPort" value="8880"/>  
                </properties>  
                <proxyTransport>org.jboss.internal.soa.esb.registry.client.JuddiRMITransport</proxyTransport>  
                <custodyTransferUrl>/juddiv3/UDDICustodyTransferService</custodyTransferUrl>  
                <inquiryUrl>/juddiv3/UDDIInquiryService</inquiryUrl>  
                <publishUrl>/juddiv3/UDDIPublicationService</publishUrl>  
                <securityUrl>/juddiv3/UDDISecurityService</securityUrl>  
                <subscriptionUrl>/juddiv3/UDDISubscriptionService</subscriptionUrl>  
                <subscriptionListenerUrl>/juddiv3/UDDISubscriptionListenerService</subscriptionListenerUrl>  
                <juddiApiUrl>/juddiv3/JUDDIApiService</juddiApiUrl>  
                <javaNamingFactoryInitial>org.jnp.interfaces.NamingContextFactory</javaNamingFactoryInitial>  
                <javaNamingFactoryUrlPkgs>org.jboss.naming</javaNamingFactoryUrlPkgs>  
                <javaNamingProviderUrl>jnp://soa-p2:1099</javaNamingProviderUrl>  
            </node>  
        </nodes>  
    </manager>  
</uddi>  
 
Well when I try to call the ServiceInvoker, I get the following exception:
09:37:25,678 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-13) org.jboss.soa.esb.listeners.message.MessageDeliverException: Invocation exception. null  
09:37:25,678 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-13) at org.jboss.soa.esb.client.ServiceInvoker.loadServiceClusterInfo(ServiceInvoker.java:580)  
09:37:25,679 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-13) at org.jboss.soa.esb.client.ServiceInvoker.<init>(ServiceInvoker.java:176)  
09:37:25,679 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-13) at org.jboss.soa.esb.client.ServiceInvoker.<init>(ServiceInvoker.java:157)  
09:37:25,679 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-13) at org.jboss.soa.esb.client.ServiceInvoker.<init>(ServiceInvoker.java:199)  
.  
.  
09:37:25,686 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-13) Caused by: java.lang.NullPointerException  
09:37:25,686 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-13) at java.lang.Class.forName0(Native Method)  
09:37:25,686 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-13) at java.lang.Class.forName(Class.java:247)  
 

Version-Release number of selected component (if applicable):
SOAP 5.3
EAP 6.0.1
Comment 1 David Le Sage 2013-10-09 20:39:59 EDT
Thanks for your feedback, Angelo. We will investigate this and fix for the next SOA 5.x documentation release.
Comment 2 Angelo Immediata 2013-10-10 03:18:59 EDT
hi David
First of all thank you for your answer. I did some steps further. Now in my Web Application classpath (that is in WEB-INF/lib) I have the following jars:
jboss-mdr.jar
concurrent.jar
jbossesb-config-model-1.0.1.jar
scout-1.2.6.jar
jbossesb-config-model-1.2.0.jar
jbossesb-config-model-1.1.0.jar
hornetq-core.jar
juddi-client-3.1.3.jar
hornetq-core-client.jar
jbossesb-registry.jar
jbossjmx-ant.jar
jbossesb-config-model-1.3.1.jar
jboss-common-core.jar
jbossesb-rosetta.jar
jboss-messaging-client.jar
hornetq-jms-client.jar
trove.jar
log4j.jar
jboss-javaee.jar
hornetq-jboss-as-integration.jar
uddi-ws-3.1.3.jar
jbossts-common.jar
hornetq-jms.jar
jboss-aop-client.jar
netty.jar
jbossesb-config-model-1.3.0.jar
jboss-logging-spi.jar
jboss-remoting.jar
jbossall-client.jar

Note that, as I said previously, I had to add these files jboss-mdr.jar, jboss-messaging-client.jar and jboss-remoting.jar otherwise I had some error on deployment.
Then, always in my web application classpath (in WEB-INF/classes) I added jbossesb-poperties.xml and uddi.xml (even if the guide indicated that uddi.xml must be in META-INF directory I had to add it in WEB-INF/classes)
By using the previous configuration, my web application is correctly deploied and it works on EAP 6.0.1 not in HA configuration; when I try it on EAP 6.0.1. in HA configuration I get the following exception:

11:53:32,341 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) org.jboss.soa.esb.listeners.message.MessageDeliverException: Invocation exception. null
11:53:32,342 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.jboss.soa.esb.client.ServiceInvoker.loadServiceClusterInfo(ServiceInvoker.java:580)
11:53:32,342 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.jboss.soa.esb.client.ServiceInvoker.<init>(ServiceInvoker.java:176)
11:53:32,342 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.jboss.soa.esb.client.ServiceInvoker.<init>(ServiceInvoker.java:157)
11:53:32,342 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.jboss.soa.esb.client.ServiceInvoker.<init>(ServiceInvoker.java:199)
11:53:32,342 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at it.poste.crs.invimall.serviceinvoker.util.Utils.callMethod(Utils.java:42)
11:53:32,342 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at it.poste.crs.invimall.serviceinvoker.util.Utils.callMethod(Utils.java:27)
11:53:32,342 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at it.poste.crs.invimall.serviceinvoker.mall.service.impl.ecommerce.EcommerceImpl.getEShop(EcommerceImpl.java:853)
11:53:32,343 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at it.poste.crs.invimall.search.mall.search.pl.server.SelectEShopActionHandler.execute(SelectEShopActionHandler.java:112)
11:53:32,343 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at it.poste.crs.invimall.search.mall.search.pl.server.SelectEShopActionHandler.execute(SelectEShopActionHandler.java:26)
11:53:32,343 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at net.customware.gwt.dispatch.server.AbstractDispatch.doExecute(AbstractDispatch.java:81)
11:53:32,343 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at net.customware.gwt.dispatch.server.AbstractDispatch.execute(AbstractDispatch.java:68)
11:53:32,343 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at net.customware.gwt.dispatch.server.standard.AbstractStandardDispatchServlet.execute(AbstractStandardDispatchServlet.java:22)
11:53:32,343 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
11:53:32,343 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
11:53:32,343 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
11:53:32,343 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at java.lang.reflect.Method.invoke(Method.java:597)
11:53:32,344 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:569)
11:53:32,344 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:208)
11:53:32,344 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:248)
11:53:32,344 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceServlet.java:62)
11:53:32,344 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at javax.servlet.http.HttpServlet.service(HttpServlet.java:754)
11:53:32,344 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
11:53:32,344 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:329)
11:53:32,344 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:248)
11:53:32,344 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:275)
11:53:32,345 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:161)
11:53:32,345 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.jboss.modcluster.container.jbossweb.JBossWebContext$RequestListenerValve.event(JBossWebContext.java:67)
11:53:32,345 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.jboss.modcluster.container.jbossweb.JBossWebContext$RequestListenerValve.invoke(JBossWebContext.java:48)
11:53:32,345 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:397)
11:53:32,345 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169)
11:53:32,345 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:155)
11:53:32,345 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
11:53:32,345 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
11:53:32,345 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:372)
11:53:32,346 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.apache.coyote.ajp.AjpProcessor.process(AjpProcessor.java:505)
11:53:32,346 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.apache.coyote.ajp.AjpProtocol$AjpConnectionHandler.process(AjpProtocol.java:453)
11:53:32,346 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:931)
11:53:32,346 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at java.lang.Thread.run(Thread.java:662)
11:53:32,346 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) Caused by: org.jboss.soa.esb.services.registry.RegistryException: Invocation exception. null
11:53:32,346 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.jboss.soa.esb.services.registry.RegistryFactory.createRegistry(RegistryFactory.java:121)
11:53:32,346 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.jboss.soa.esb.services.registry.RegistryFactory.getRegistry(RegistryFactory.java:86)
11:53:32,346 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.jboss.soa.esb.listeners.RegistryUtil.getEprs(RegistryUtil.java:222)
11:53:32,347 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.jboss.soa.esb.client.ServiceInvoker.loadServiceClusterInfo(ServiceInvoker.java:567)
11:53:32,347 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) ... 37 more
11:53:32,347 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) Caused by: java.lang.NullPointerException
11:53:32,347 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at java.lang.Class.forName0(Native Method)
11:53:32,347 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at java.lang.Class.forName(Class.java:247)
11:53:32,347 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.jboss.soa.esb.util.ClassUtil.forName(ClassUtil.java:65)
11:53:32,347 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) at org.jboss.soa.esb.services.registry.RegistryFactory.createRegistry(RegistryFactory.java:110)
11:53:32,347 ERROR [stderr] (ajp-eapgwt1/10.24.5.4:8009-2) ... 40 more
Now I really don't know what to do 

Angelo

Note You need to log in before you can comment on or make changes to this bug.